Package com.emc.d2fs.interfaces

# Interface IPropertyService

All Superinterfaces:
  `ID2fsService`

public interface IPropertyService extends ID2fsService
Document property services

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Dump`
  `dump(Context context, String id)`
  Get all Documentum properties of document for dump display
  `List<Attribute>`
  `getProperties(Context context, String id, List<String> attrFilter)`
  Get properties of document with filters option
  `String`
  `saveProperties(Context context, String id, List<Attribute> parameters)`
  Set properties of document

  ### Methods inherited from interface com.emc.d2fs.interfaces.ID2fsService

  `isRemote, setRemote`

- ## Method Details

  - ### dump

    Dump dump(Context context, String id) throws Exception
    Get all Documentum properties of document for dump display
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of document id
    Returns:
      `Dump` object as property list
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### saveProperties

    String saveProperties(Context context, String id, List<Attribute> parameters) throws Exception
    Set properties of document
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of document id
      `parameters` - `Attribute` list of object specific and other properties. A attribute named "list" must specify the names of the attributes to be saved. The list should be a single string of attribute names separated by AttributeUtils.SEPARATOR_VALUE character (Literal "¬" or hex "\\u00AC")

      Parameters:

      - list: DF_LIST - List of attribute names to be set on the target object.
      - id: DF_STRING -- Id of object to be modified.
    Returns:
      String value of xml process result
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### getProperties

    List<Attribute> getProperties(Context context, String id, List<String> attrFilter) throws Exception
    Get properties of document with filters option
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of document id
      `attrFilter` - String list of filters
    Returns:
      `Attribute` list of properties
    Throws:
      `Exception`
    Since:
      4.0.1